org.apache.tiles.el

## Class TilesContextBeanELResolver

- java.lang.Object
- - javax.el.ELResolver
  - - org.apache.tiles.el.TilesContextBeanELResolver

-     public class TilesContextBeanELResolver
      extends javax.el.ELResolver

  Resolves beans in request, session and application scope.
  Since:
    2.2.1

- - ### Field Summary

    - ### Fields inherited from class javax.el.ELResolver

      `RESOLVABLE_AT_DESIGN_TIME, TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TilesContextBeanELResolver()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `collectBeanInfo(Map<String,?> map, List<FeatureDescriptor> list)` Collects bean infos from a map's values and filling a list.
    `protected Object` | `findObjectByProperty(javax.el.ELContext context, Object property)` Finds an object in request, session or application scope, in this order.
    `Class<?>` | `getCommonPropertyType(javax.el.ELContext context, Object base)`
    `Iterator<FeatureDescriptor>` | `getFeatureDescriptors(javax.el.ELContext context, Object base)`
    `protected Object` | `getObject(Map<String,?> map, String property)` Returns an object from a map in a null-safe manner.
    `Class<?>` | `getType(javax.el.ELContext context, Object base, Object property)`
    `Object` | `getValue(javax.el.ELContext context, Object base, Object property)`
    `boolean` | `isReadOnly(javax.el.ELContext context, Object base, Object property)`
    `void` | `setValue(javax.el.ELContext context, Object base, Object property, Object value)`

    - ### Methods inherited from class javax.el.ELResolver

      `convertToType, invoke`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TilesContextBeanELResolver

          public TilesContextBeanELResolver()

  - ### Method Detail

    - #### getCommonPropertyType

          public Class<?> getCommonPropertyType(javax.el.ELContext context,
                                                Object base)

      Specified by:
        `getCommonPropertyType` in class `javax.el.ELResolver`

    - #### getFeatureDescriptors

          public Iterator<FeatureDescriptor> getFeatureDescriptors(javax.el.ELContext context,
                                                                   Object base)

      Specified by:
        `getFeatureDescriptors` in class `javax.el.ELResolver`

    - #### getType

          public Class<?> getType(javax.el.ELContext context,
                                  Object base,
                                  Object property)

      Specified by:
        `getType` in class `javax.el.ELResolver`

    - #### getValue

          public Object getValue(javax.el.ELContext context,
                                 Object base,
                                 Object property)

      Specified by:
        `getValue` in class `javax.el.ELResolver`

    - #### isReadOnly

          public boolean isReadOnly(javax.el.ELContext context,
                                    Object base,
                                    Object property)

      Specified by:
        `isReadOnly` in class `javax.el.ELResolver`

    - #### setValue

          public void setValue(javax.el.ELContext context,
                               Object base,
                               Object property,
                               Object value)

      Specified by:
        `setValue` in class `javax.el.ELResolver`

    - #### collectBeanInfo

          protected void collectBeanInfo(Map<String,?> map,
                                         List<FeatureDescriptor> list)

      Collects bean infos from a map's values and filling a list.
      Parameters:
        `map` - The map containing the bean to be inspected.
        `list` - The list to fill.
      Since:
        2.2.1

    - #### findObjectByProperty

          protected Object findObjectByProperty(javax.el.ELContext context,
                                                Object property)

      Finds an object in request, session or application scope, in this order.
      Parameters:
        `context` - The context to use.
        `property` - The property used as an attribute name.
      Returns:
        The found bean, if it exists, or `null` otherwise.
      Since:
        2.2.1

    - #### getObject

          protected Object getObject(Map<String,?> map,
                                     String property)

      Returns an object from a map in a null-safe manner.
      Parameters:
        `map` - The map to use.
        `property` - The property to use as a key.
      Returns:
        The object, if present, or `null` otherwise.
      Since:
        2.2.1

Copyright © 2000–2026 Apache Software Foundation. All rights reserved.